/*********************************************************************************/
/********** THIS FILE IS GENERATED BY TOUCHGFX DESIGNER, DO NOT MODIFY ***********/
/*********************************************************************************/
#ifndef MCULOADWIDGET_BASE_HPP
#define MCULOADWIDGET_BASE_HPP

#include <gui/common/FrontendApplication.hpp>
#include <touchgfx/containers/Container.hpp>
#include <touchgfx/widgets/TextArea.hpp>
#include <touchgfx/widgets/TextAreaWithWildcard.hpp>

class McuLoadWidgetBase : public touchgfx::Container
{
public:
    McuLoadWidgetBase();
    virtual ~McuLoadWidgetBase() {}

    virtual void initialize();

protected:
    FrontendApplication& application() {
        return *static_cast<FrontendApplication*>(Application::getInstance());
    }

    /*
     * Member Declarations
     */
    touchgfx::TextArea mcuLoadTxt;
    touchgfx::TextAreaWithOneWildcard mcuLoadValueTxt;

    /*
     * Wildcard Buffers
     */
    static const uint16_t MCULOADVALUETXT_SIZE = 5;
    touchgfx::Unicode::UnicodeChar mcuLoadValueTxtBuffer[MCULOADVALUETXT_SIZE];

private:

};

#endif // MCULOADWIDGET_BASE_HPP
